For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a simulation case
      • GETList simulation cases
      • GETGet a simulation case
      • PUTUpdate a simulation case
      • DELDelete a simulation case
      • POSTGenerate test cases
      • GETList simulation cases by agent
      • POSTCreate a simulation suite
      • GETList simulation suites
      • GETGet a simulation suite
      • PUTUpdate a simulation suite
      • DELDelete a simulation suite
      • POSTExecute a simulation suite
      • POSTCreate a simulation scenario
      • GETList simulation scenarios
      • GETGet a simulation scenario
      • PUTUpdate a simulation scenario
      • DELDelete a simulation scenario
      • POSTStart a simulation
      • GETList simulation sessions
      • GETGet a simulation session
      • GETList simulations
      • GETGet a simulation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISimulations

List simulation cases

||View as Markdown|
GET
/simulation_cases
GET
/v2/simulation_cases
$curl https://api.synthflow.ai/v2/simulation_cases \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok",
3 "response": {
4 "pagination": {
5 "total_records": 1,
6 "limit": 1,
7 "offset": 0
8 },
9 "items": [
10 {
11 "simulation_case_id": "string",
12 "workspace_id": "string",
13 "suite_id": "string",
14 "name": "string",
15 "prompt": "string",
16 "type": "custom",
17 "success_criteria": [
18 "string"
19 ],
20 "call_success_type": "all",
21 "base_agent": {
22 "model_id": "string",
23 "agent_name": "string",
24 "agent_type": "string",
25 "voice_engine_type": "string",
26 "phone_number": "string",
27 "updated_at": "2024-01-15T09:30:00Z",
28 "image_url": "string"
29 },
30 "created_at": "2024-01-15T09:30:00Z",
31 "updated_at": "2024-01-15T09:30:00Z"
32 }
33 ]
34 }
35}
List simulation cases with pagination and optional filtering.
Was this page helpful?
Previous

Get a simulation case

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

page_numberintegerOptional>=1Defaults to 1
Page number.
page_sizeintegerOptional1-100Defaults to 10
Number of items per page.
searchstringOptional
Search term for simulation case names.
simulation_case_typeenumOptional
Filter by simulation case type.
Allowed values:
suite_idstringOptionalformat: "uuid"
Filter by simulation suite ID.

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error